aboutsummaryrefslogtreecommitdiffstats
path: root/testing/unbound/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-10-23 13:50:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-10-23 13:50:25 +0000
commitd3fc6683f1c187c132dd104b66d2ad1cfb9ab8d5 (patch)
treead299aa914104aa0414fbc6be86c3ee03cf1c521 /testing/unbound/APKBUILD
parenta446bffae1ee4c35ab28c6df3c8ff9088a646156 (diff)
downloadaports-d3fc6683f1c187c132dd104b66d2ad1cfb9ab8d5.tar.gz
aports-d3fc6683f1c187c132dd104b66d2ad1cfb9ab8d5.tar.bz2
aports-d3fc6683f1c187c132dd104b66d2ad1cfb9ab8d5.tar.xz
testing/unbound: upgrade to 1.4.13 and misc fixes
- update the init.d script - depend on dnssec-root package - split -libs - enable python module
Diffstat (limited to 'testing/unbound/APKBUILD')
-rw-r--r--testing/unbound/APKBUILD57
1 files changed, 36 insertions, 21 deletions
diff --git a/testing/unbound/APKBUILD b/testing/unbound/APKBUILD
index 9d9acd120f..db7d916885 100644
--- a/testing/unbound/APKBUILD
+++ b/testing/unbound/APKBUILD
@@ -1,22 +1,22 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=unbound
-pkgver=1.4.10
-pkgrel=3
+pkgver=1.4.13
+pkgrel=0
pkgdesc="Unbound is a validating, recursive, and caching DNS resolver"
pkgusers="unbound"
pkggroups="unbound"
url="http://unbound.net/"
arch="all"
-license="Custom"
-depends=
+license="BSD"
+depends="dnssec-root"
depends_dev="openssl-dev expat-dev ldns-dev libevent-dev"
-makedepends="$depends_dev"
+makedepends="$depends_dev python-dev swig"
install="$pkgname.pre-install"
-subpackages="$pkgname-dev $pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-libs py-unbound:py"
source="http://unbound.net/downloads/unbound-$pkgver.tar.gz
- unbound.initd
- unbound.confd"
+ unbound-1.4.12-gentoo.patch
+ unbound.initd"
_builddir="$srcdir"/unbound-$pkgver
prepare() {
@@ -32,15 +32,17 @@ prepare() {
build() {
cd "$_builddir"
./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var \
--with-pidfile=/var/run/unbound/unbound.pid \
- --with-pic \
--with-username=unbound \
--with-libevent \
--with-ldns \
+ --with-pthreads \
+ --with-rootkey-file=/usr/share/dnssec/root-anchors.txt \
+ --disable-static \
+ --disable-rpath \
+ --with-ssl \
+ --with-pythonmodule \
+ --with-pyunbound \
|| return 1
make || return 1
}
@@ -48,15 +50,28 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
- rm "$pkgdir"/usr/lib/*.la || return 1
+ rm "$pkgdir"/usr/lib/*.la \
+ "$pkgdir"/usr/lib/python*/*/*.la || return 1
+ install -D contrib/update-anchor.sh \
+ "$pkgdir"/usr/share/$pkgname/update-anchor.sh \
+ || return 1
install -m755 -D "$srcdir"/unbound.initd \
"$pkgdir"/etc/init.d/unbound || return 1
- install -m644 -D "$srcdir"/unbound.confd \
- "$pkgdir"/etc/conf.d/unbound || return 1
install -d -o unbound -g unbound "$pkgdir"/var/run/unbound
- chown unbound:unbound -R "$pkgdir"/etc/unbound
}
-md5sums="6bbae378db76abfe0bd72c404e484597 unbound-1.4.10.tar.gz
-455b7893a08e2f3e4ebce923e97c9724 unbound.initd
-10f8a73d14160571acea41fc89d914e7 unbound.confd"
+libs() {
+ pkgdesc="unbound shared libraries"
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/lib*.so.* "$subpkgdir"/usr/lib/
+}
+
+py() {
+ pkgdesc="Python bindings to libunbound"
+ mkdir -p "$subpkgdir"/usr/lib/
+ mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
+}
+
+md5sums="7e3b27dee2b97640dd2e1783253317ab unbound-1.4.13.tar.gz
+a6d84d596e40da79fcd52529b7fb5046 unbound-1.4.12-gentoo.patch
+ebf2b5f8e1be2c4dbec9c5fad1e0e0de unbound.initd"